Organization policies
GET
/organizations/{organizationId}/iam-policies
List the IAM policies that are defined for this organization.
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
results
array of object
obbligatorio
List of IAM policies.
Mostra attributi secondari
results.createdAt
string
obbligatorio
When the IAM Policy was created.
results.definitions
array of object
obbligatorio
List of IAM Policy definitions.
Mostra attributi secondari
results.definitions.actions
array of string
obbligatorio
A list of actions
results.definitions.conditionsAll
array of object
Mostra attributi secondari
results.definitions.conditionsAll.any
object
results.definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.definitions.resources
array of string
obbligatorio
A list of resources
results.description
string
IAM Policy description.
results.id
string
obbligatorio
ID of the IAM Policy.
results.metadata
object
Metadata for the IAM Policy.
Mostra attributi secondari
results.metadata.apps
array of string
results.metadata.clouds
array of string
results.metadata.groups
array of string
results.name
string
obbligatorio
IAM Policy name.
results.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.scope
string
obbligatorio
The scope to which this policy applies.
Possible values: organization, root
results.type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
results.updatedAt
string
obbligatorio
When the IAM Policy was last updated.
results.usersDependencyCount
integer
The number of users that depend on this IAM policy.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/iam-policies
Create a new IAM policy for this organization.
Payload della richiesta
name
string
obbligatorio
IAM Policy name.
description
string
IAM Policy description.
definitions
array of object
obbligatorio
List of IAM Policy definitions.
Mostra parametri secondari
definitions.actions
array of string
obbligatorio
A list of actions
definitions.conditionsAll
array of object
Mostra parametri secondari
definitions.conditionsAll.any
object
definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
obbligatorio
A list of resources
metadata
object
Metadata for the IAM Role.
Mostra parametri secondari
metadata.clouds
array of string
metadata.apps
array of string
metadata.groups
array of string
Payload della risposta
createdAt
string
obbligatorio
When the IAM Policy was created.
definitions
array of object
obbligatorio
List of IAM Policy definitions.
Mostra attributi secondari
definitions.actions
array of string
obbligatorio
A list of actions
definitions.conditionsAll
array of object
Mostra attributi secondari
definitions.conditionsAll.any
object
definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
obbligatorio
A list of resources
description
string
IAM Policy description.
id
string
obbligatorio
ID of the IAM Policy.
metadata
object
Metadata for the IAM Policy.
Mostra attributi secondari
metadata.apps
array of string
metadata.clouds
array of string
metadata.groups
array of string
name
string
obbligatorio
IAM Policy name.
rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
scope
string
obbligatorio
The scope to which this policy applies.
Possible values: organization, root
type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
updatedAt
string
obbligatorio
When the IAM Policy was last updated.
usersDependencyCount
integer
The number of users that depend on this IAM policy.
Esempio di codice
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/iam-policies/{policyId}
Retrieve a single IAM policy.
Payload della risposta
createdAt
string
obbligatorio
When the IAM Policy was created.
definitions
array of object
obbligatorio
List of IAM Policy definitions.
Mostra attributi secondari
definitions.actions
array of string
obbligatorio
A list of actions
definitions.conditionsAll
array of object
Mostra attributi secondari
definitions.conditionsAll.any
object
definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
obbligatorio
A list of resources
description
string
IAM Policy description.
id
string
obbligatorio
ID of the IAM Policy.
metadata
object
Metadata for the IAM Policy.
Mostra attributi secondari
metadata.apps
array of string
metadata.clouds
array of string
metadata.groups
array of string
name
string
obbligatorio
IAM Policy name.
rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
scope
string
obbligatorio
The scope to which this policy applies.
Possible values: organization, root
type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
updatedAt
string
obbligatorio
When the IAM Policy was last updated.
usersDependencyCount
integer
The number of users that depend on this IAM policy.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-policies/{policyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/iam-policies/{policyId}
Remove an IAM policy from the organization.
Esempio di codice
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-policies/{policyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/iam-policies/{policyId}
Update an IAM policy's properties.
Payload della richiesta
name
string
IAM Policy name.
description
string
IAM Policy description.
definitions
array of object
List of IAM Policy definitions.
Mostra parametri secondari
definitions.actions
array of string
obbligatorio
A list of actions
definitions.conditionsAll
array of object
Mostra parametri secondari
definitions.conditionsAll.any
object
definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
obbligatorio
A list of resources
Payload della risposta
createdAt
string
obbligatorio
When the IAM Policy was created.
definitions
array of object
obbligatorio
List of IAM Policy definitions.
Mostra attributi secondari
definitions.actions
array of string
obbligatorio
A list of actions
definitions.conditionsAll
array of object
Mostra attributi secondari
definitions.conditionsAll.any
object
definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
obbligatorio
A list of resources
description
string
IAM Policy description.
id
string
obbligatorio
ID of the IAM Policy.
metadata
object
Metadata for the IAM Policy.
Mostra attributi secondari
metadata.apps
array of string
metadata.clouds
array of string
metadata.groups
array of string
name
string
obbligatorio
IAM Policy name.
rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
scope
string
obbligatorio
The scope to which this policy applies.
Possible values: organization, root
type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
updatedAt
string
obbligatorio
When the IAM Policy was last updated.
usersDependencyCount
integer
The number of users that depend on this IAM policy.
Esempio di codice
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-policies/{policyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'